Can't search host by domain parameters

02/29/2016 03:14 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Search   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1313878 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3268

  

Description

Searching a host by a parameter that is connected to it's domain results in the following error:

PG::Error: ERROR: column hosts.domain_id does not exist LINE 1: ...WHERE "hosts"."type" IN ('Host:

:Managed') AND ((( hosts.doma... ^ : SELECT "hosts".* FROM "hosts" WHERE "hosts"."type" IN ('Host:

:Managed') AND ((( hosts.domain_id = 1 ))) ORDER BY "hosts"."name" ASC LIMIT 20 OFFSET 0

This is a result of trying to add a condition on hosts.domain_id: 

https://github.com/theforeman/foreman/blob/develop/app/models/concerns/hostext/search.rb#L212    

domain_id is delegated to primary_interface but since search_by_params constructs a sql condition directly that doesn't help.

The condition in search_by_params needs to add the join to get the domain_id.

Associated revisions

Revision f2506d34 - 03/08/2016 07:20 AM - Ori Rabin

Fixes #13937 - search by domain parameters searches on primary_interface

Revision 6b9b746e - 04/18/2016 01:45 PM - Ori Rabin

Fixes #13937 - search by domain parameters searches on primary_interface

(cherry picked from commit f2506d3482098dcd4faffe64c036f139d77034d7)

History

#1 - 02/29/2016 03:19 AM - Ori Rabin

- Category set to Search

#2 - 03/02/2016 04:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ori Rabin

- Pull request https://github.com/theforeman/foreman/pull/3268 added

#3 - 03/02/2016 09:19 AM - Ori Rabin

- Bugzilla link set to 1313878

#4 - 03/08/2016 08:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f2506d3482098dcd4faffe64c036f139d77034d7.
https://github.com/theforeman/foreman/blob/develop/app/models/concerns/hostext/search.rb#L212
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f2506d3482098dcd4faffe64c036f139d77034d7


#5 - 03/08/2016 08:04 AM - Dominic Cleal

- translation missing: en.field_release set to 141
